local M = {}

M.list = {
	-- Common.
	'nvim-lua/plenary.nvim',

	-- Etc.
	'nvim-treesitter/nvim-treesitter',
	'nvim-telescope/telescope.nvim',
	'windwp/nvim-autopairs',
	'numToStr/Comment.nvim',

	-- View.
	'EdenEast/nightfox.nvim',
	'lukas-reineke/indent-blankline.nvim',
	-- 'nvim-lualine/lualine.nvim',

	-- Lsp.
	'neovim/nvim-lspconfig',
	'williamboman/mason.nvim',
	'williamboman/mason-lspconfig.nvim',
	'hrsh7th/cmp-nvim-lsp',

	--- Null-ls.
	'jose-elias-alvarez/null-ls.nvim',

  -- Autocompletion
	'L3MON4D3/LuaSnip',
	'hrsh7th/nvim-cmp'
}

M.init = function ()
	-- Etc.
	require('axp.plugins.autopairs')
	require('axp.plugins.comment')
	require('axp.plugins.telescope')
	require('axp.plugins.treesitter')

	-- View.
	require('axp.plugins.nightfox')
	-- require('axp.plugins.lualine')
	require('axp.plugins.blankline')

	-- Lsp.
	require('axp.plugins.lsp')

	-- Null-ls.
	require('axp.plugins.null-ls')

  -- Autocompletion
	require('axp.plugins.luasnip')
	require('axp.plugins.nvim-cmp')
end

return M
